'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = build;

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var IS_PRODUCTION = process.env.NODE_ENV === 'production';

function build() {
  var webpackConfigPath = (0, _utils.findPathThatExist)((0, _utils.resolvePath)('webpack.config.js'), (0, _utils.resolvePath)('webpack.config.babel.js'));

  if (!webpackConfigPath) {
    return Promise.reject(new Error('Webpack config ' + webpackConfigPath + ' is not exist'));
  }

  var config = (0, _utils.getWebpackConfigByPath)(webpackConfigPath);

  var compiler = (0, _webpack2.default)(config);

  if (IS_PRODUCTION) {
    return new Promise(function (resolve, reject) {
      compiler.run(function (error) {
        if (error) {
          reject(error);
          return;
        }

        resolve(compiler);
      });
    });
  }

  return Promise.resolve(compiler);
}
//# sourceMappingURL=build.js.map