import React, { PropTypes } from 'react';
import Helmet from 'react-helmet';

import style from './app.css';
import Navigation from './navigation/Navigation.jsx';
import Footer from './footer/Footer.jsx';
import favicon from './favicon.png';

const HEADER_TITLE = 'You App Title';

const HEADER_METAS = [
  { name: 'viewport', content: 'width=device-width, initial-scale=1' },
];

const HEADER_LINKS = [
  { rel: 'icon', type: 'image/png', href: favicon },
];

export default function App({ children }) {
  return (
    <div className={style.container}>
      <Helmet
        title={HEADER_TITLE}
        meta={HEADER_METAS}
        link={HEADER_LINKS}
      />

      <Navigation />

      <div className={style.content}>
        <div className={style.inner}>
          {children}
        </div>
      </div>

      <Footer />
    </div>
  );
}

App.propTypes = {
  children: PropTypes.element.isRequired,
  location: PropTypes.object.isRequired,
};
