import React from 'react';
import { Link, IndexLink } from 'react-router';
import classnames from 'classnames';

import logo from './logo.png';
import style from './navigation.css';

export default function Navigation() {
  return (
    <div className={style.container}>
      <IndexLink className={style['logo-container']} to="/">
        <img className={style.logo} src={logo} />
      </IndexLink>
      <nav className={style.menu}>
        <Link activeClassName={style.active} className={style.item} to="/about">
          About
        </Link>
        <Link activeClassName={style.active} className={style.item} to="/contact">
          Contact
        </Link>
      </nav>
    </div>
  );
}
