import React from 'react';
import { Provider } from 'react-redux';

import {
  applyRouterMiddleware,
  Router,
  Route,
  browserHistory,
  IndexRoute,
} from 'react-router';

import { useScroll } from 'react-router-scroll';

import App from './modules/App.jsx';
import Home from './modules/home/Home.jsx';
import About from './modules/about/About.jsx';
import Contact from './modules/contact/Contact.jsx';

import getStore from './store';

/* eslint-disable no-underscore-dangle */
const store = getStore(window.__INITIAL_STATE__);
/* eslint-enable */

// UX is important
const alwaysScrollToTop = applyRouterMiddleware(useScroll(() => [0, 0]));

export default (
  <Provider store={store}>
    <Router
      history={browserHistory}
      render={alwaysScrollToTop}
    >
      <Route path="/" component={App}>
        <IndexRoute component={Home} />

        <Route path="/about" component={About} />
        <Route path="/contact" component={Contact} />
      </Route>
    </Router>
  </Provider>
);
