import path from 'path';
import { configs } from 'webpack-brevity';

import postcssImport from 'postcss-import';
import postcssCssNext from 'postcss-cssnext';

export default configs.browser({
  // Basic configs
  entry: {
    app: path.resolve('./src/index.js'),
    // Add any vendors' name here for build
    vendors: [
      'normalize.css',
    ],
  },
  output: path.resolve('./public'),
  src: path.resolve('./src'),

  // Enable hot update
  devClient: 'http://localhost:5000',

  // Default browser title
  title: 'web-instant',

  // Define your own PostCSS plugin
  postcss: webpack => [
    postcssImport({
      addDependencyTo: webpack,
      path: [
        path.resolve('./src/styles'),
      ],
    }),
    postcssCssNext(),
  ],

  // Enable service worker with https
  // offline: true,

  // Google Analytics tracking id
  // ga: 'UA-XXXX-XX',
});
